installation error: rmdir: `/tmp/udev.LoQwmw': Directory not empty

Bug #25512 reported by Debian Bug Importer on 2005-11-08
4
Affects Status Importance Assigned to Milestone
udev (Debian)
Fix Released
Unknown
udev (Ubuntu)
High
Scott James Remnant (Canonical)

Bug Description

Automatically imported from Debian bug report #338202 http://bugs.debian.org/338202

On Nov 08, Sean Finney <email address hidden> wrote:

> Populating the new /dev filesystem temporarily mounted on
> /tmp/udev.LoQwmw/...
> rmdir: `/tmp/udev.LoQwmw': Directory not empty
It's not obvious what is happening since you did not report the content
of the directory.
I think it was a race between udevd and the init script due to a too
short timeout, if so it was fixed in a later release.
The code involved is simple, but the side effects are tricky:

  TEMPDEV=$(tempdir)
  mount -n -o size=10M,mode=0755 -t tmpfs tmpfs $TEMPDEV
  # lots of stuff happens here...
  mount -n --move $TEMPDEV /dev
  rmdir $TEMPDEV

(Let me know if you have a better theory...)

--
ciao,
Marco

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #338202 http://bugs.debian.org/338202

Debian Bug Importer (debzilla) wrote :
Download full text (5.4 KiB)

Message-Id: <email address hidden>
Date: Tue, 08 Nov 2005 19:46:09 +0100
From: Sean Finney <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: installation error: rmdir: `/tmp/udev.LoQwmw': Directory not empty

Package: udev
Version: 0.071-1
Severity: grave
Justification: renders package unusable

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

mini-me[~]19:36:14$ sudo apt-get install udev
Reading package lists... Done
Building dependency tree... Done
The following extra packages will be installed:
  libsepol1
The following packages will be REMOVED:
  hotplug
The following NEW packages will be installed:
  libsepol1 udev
0 upgraded, 2 newly installed, 1 to remove and 53 not upgraded.
Need to get 398kB of archives.
After unpacking 889kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://ftp.se.debian.org testing/main libsepol1 1.8-1 [81.1kB]
Get:2 http://ftp.se.debian.org testing/main udev 0.071-1 [317kB]
Fetched 398kB in 1s (228kB/s)
(Reading database ... 178557 files and directories currently installed.)
Removing hotplug ...
Selecting previously deselected package libsepol1.
(Reading database ... 178536 files and directories currently installed.)
Unpacking libsepol1 (from .../libsepol1_1.8-1_i386.deb) ...
Selecting previously deselected package udev.
Unpacking udev (from .../archives/udev_0.071-1_i386.deb) ...

**************************************************************
* Please purge the hotplug package!
**************************************************************

Setting up libsepol1 (1.8-1) ...

Setting up udev (0.071-1) ...
Waiting for /dev to be fully populated...
Populating the new /dev filesystem temporarily mounted on
/tmp/udev.LoQwmw/...
rmdir: `/tmp/udev.LoQwmw': Directory not empty
dpkg: error processing udev (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 udev
E: Sub-process /usr/bin/dpkg returned an error code (1)

reperforming "apt-get install udev" afterwards seems to clear up
the problem, whatever it was... though i have to admit i'm
hesitant to reboot :)

 sean (who's going to go reboot anyway)

- -- Package-specific info:
- -- /etc/udev/rules.d/:
/etc/udev/rules.d/:
total 0
lrwxrwxrwx 1 root root 20 2005-11-08 19:37 020_permissions.rules -> ../permissions.rules
lrwxrwxrwx 1 root root 19 2005-10-29 13:54 025_libgphoto2.rules -> ../libgphoto2.rules
lrwxrwxrwx 1 root root 16 2005-10-18 09:27 025_libsane.rules -> ../libsane.rules
lrwxrwxrwx 1 root root 19 2005-11-08 19:37 cd-aliases.rules -> ../cd-aliases.rules
lrwxrwxrwx 1 root root 13 2005-11-08 19:37 udev.rules -> ../udev.rules
lrwxrwxrwx 1 root root 19 2005-11-08 19:37 z20_persistent.rules -> ../persistent.rules
lrwxrwxrwx 1 root root 12 2005-11-08 19:37 z50_run.rules -> ../run.rules
lrwxrwxrwx 1 root root 16 2005-11-08 19:37 z55_hotplug.rules -> ../hotplug.rules
lrwxrwxrwx 1 root root 19 2005-08-24 14:55 z60_alsa-utils.rules -> ../alsa-utils.rules
lrwxrwxrwx 1 root root 17 2005-11-08 19:37 z70_hotplugd.rules -> ../hotplugd.rules

- -- /sys/:
/sys/block/hda/dev
/sys/block/hda/hda1/dev
/sys...

Read more...

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 8 Nov 2005 19:57:34 +0100
From: <email address hidden> (Marco d'Itri)
To: Sean Finney <email address hidden>, <email address hidden>
Subject: Re: Bug#338202: installation error: rmdir: `/tmp/udev.LoQwmw': Directory not empty

--BOKacYhQ+x31HxR3
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Nov 08, Sean Finney <email address hidden> wrote:

> Populating the new /dev filesystem temporarily mounted on
> /tmp/udev.LoQwmw/...
> rmdir: `/tmp/udev.LoQwmw': Directory not empty
It's not obvious what is happening since you did not report the content
of the directory.
I think it was a race between udevd and the init script due to a too
short timeout, if so it was fixed in a later release.
The code involved is simple, but the side effects are tricky:

  TEMPDEV=3D$(tempdir)
  mount -n -o size=3D10M,mode=3D0755 -t tmpfs tmpfs $TEMPDEV
  # lots of stuff happens here...
  mount -n --move $TEMPDEV /dev
  rmdir $TEMPDEV

(Let me know if you have a better theory...)

--=20
ciao,
Marco

--BOKacYhQ+x31HxR3
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDcPUdFGfw2OHuP7ERAt7kAKCXGAZsYgwxlrmNmlCMzwS1lpAEZQCdEX6c
/cfgwhhy14Kh/gnAu46sosg=
=S/cQ
-----END PGP SIGNATURE-----

--BOKacYhQ+x31HxR3--

On Tue, Nov 08, 2005 at 07:57:34PM +0100, Marco d'Itri wrote:
> It's not obvious what is happening since you did not report the content
> of the directory.

yes, i probably should have supplied that info...
unfortunately, i've rebooted since then. fortunately, nothing
evil seemd to happen on reboot besides some cryptic message
about the udev "populating dev" script timing out.

> I think it was a race between udevd and the init script due to a too
> short timeout, if so it was fixed in a later release.

> (Let me know if you have a better theory...)

nope. i'll go ahead and upgrade to 0.074-1 then.

 sean

--

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 8 Nov 2005 15:53:40 -0500
From: Sean Finney <email address hidden>
To: Marco d'Itri <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#338202: installation error: rmdir: `/tmp/udev.LoQwmw': Directory not empty

--y0ulUmNC+osPPQO6
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Tue, Nov 08, 2005 at 07:57:34PM +0100, Marco d'Itri wrote:
> It's not obvious what is happening since you did not report the content
> of the directory.

yes, i probably should have supplied that info...
unfortunately, i've rebooted since then. fortunately, nothing
evil seemd to happen on reboot besides some cryptic message
about the udev "populating dev" script timing out.

> I think it was a race between udevd and the init script due to a too
> short timeout, if so it was fixed in a later release.

> (Let me know if you have a better theory...)

nope. i'll go ahead and upgrade to 0.074-1 then.

 sean

--=20

--y0ulUmNC+osPPQO6
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFDcRBUynjLPm522B0RAoa7AJ9eN59CHpYm+TNMfvgTEXQmNMAgNgCeKoif
CuQnM84qs/FI+1JDqwPDWRk=
=fQ1/
-----END PGP SIGNATURE-----

--y0ulUmNC+osPPQO6--

Not our postinst, we don't try and initialise udev on install

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.